<?xml version="1.0" encoding="UTF-8"?>
<doctrine-mapping>
    <entity name="App\Infrastructure\SharedKernel\TrialPeriod\Query\Doctrine\Model\TrialPeriod" table="trial_period__trial_periods">

        <id
                name="id"
                type="trial_period__trial_period_id"
        />
        <field
                name="customerId"
                type="billing__customer_id"
        />
        <field
                name="startDate"
                type="datetime_immutable"
        />
        <field
                name="endDate"
                type="datetime_immutable"
        />
        <field
                name="updatedAt"
                type="datetime_immutable"
                nullable="true"
        />
        <field
                name="createdAt"
                type="datetime_immutable"
        />
    </entity>
</doctrine-mapping>